/[gentoo-x86]/eclass/depend.apache.eclass
Gentoo

Diff of /eclass/depend.apache.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.19 Revision 1.26
1# Copyright 2004-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License, v2 or later 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.19 2005/08/02 23:26:14 vericgar Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/depend.apache.eclass,v 1.26 2006/06/10 16:19:54 swegener Exp $
4
5inherit multilib
6
7# This eclass handles depending on apache in a sane way and providing
8# information about where certain interfaces are located.
9
10# NOTE: If you use this, be sure you use the need_* call after you have
11# defined DEPEND and RDEPEND. Also note that you can not rely on the
12# automatic RDEPEND=DEPEND that portage does if you use this eclass.
13# See bug 107127 for more information.
4 14
5###### 15######
6## Apache Common Variables 16## Apache Common Variables
7## 17##
8## These are internal variables used by this, and other apache-related eclasses, 18## These are internal variables used by this, and other apache-related eclasses,
40#### 50####
41## APACHE1_BASEDIR, APACHE2_BASEDIR 51## APACHE1_BASEDIR, APACHE2_BASEDIR
42## 52##
43## Paths to the server root directories 53## Paths to the server root directories
44#### 54####
45APACHE1_BASEDIR="/usr/lib/apache" 55APACHE1_BASEDIR="/usr/$(get_libdir)/apache"
46APACHE2_BASEDIR="/usr/lib/apache2" 56APACHE2_BASEDIR="/usr/$(get_libdir)/apache2"
47 57
48#### 58####
49## APACHE1_CONFDIR, APACHE2_CONFDIR 59## APACHE1_CONFDIR, APACHE2_CONFDIR
50## 60##
51## Paths to the configuration file directories (usually under 61## Paths to the configuration file directories (usually under
80 90
81#### 91####
82## APACHE1_DEPEND, APACHE2_DEPEND 92## APACHE1_DEPEND, APACHE2_DEPEND
83## 93##
84## Dependencies for apache 1.x and apache 2.x 94## Dependencies for apache 1.x and apache 2.x
85## - apache2 must be at least version 2.0.52-r3, this is lowest version 95## - apache2 must be at least version 2.0.54-r30, this is lowest version
86## containing our new overall changes -- trapni (Jan 21 2005) 96## containing our new overall changes -- trapni (Jan 21 2005)
87## - apache1 must be at least version 1.3.33-r1, but how to 97## - apache1 must be at least version 1.3.33-r10, but how to
88## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005) 98## define the DEPEND here? (FIXME) -- trapni (Jan 21 2005)
89## - currently not possible - bug #4315 -- vericgar (Jan 21 2005) 99## - currently not possible - bug #4315 -- vericgar (Jan 21 2005)
90#### 100####
91APACHE1_DEPEND="=net-www/apache-1*" 101APACHE1_DEPEND="=net-www/apache-1*"
92APACHE2_DEPEND=">=net-www/apache-2.0.54-r10" 102APACHE2_DEPEND=">=net-www/apache-2.0.54-r30"
93
94 103
95#### 104####
96## APACHE_DEPEND 105## APACHE_DEPEND
97## 106##
98## Dependency magic based on useflags to use the right DEPEND 107## Dependency magic based on useflags to use the right DEPEND
99#### 108####
100 109
101APACHE_DEPEND="apache2? ( ${APACHE2_DEPEND} ) !apache2? ( ${APACHE1_DEPEND} )" 110NEED_APACHE_DEPEND="apache2? ( ${APACHE2_DEPEND} ) !apache2? ( ${APACHE1_DEPEND} )"
111WANT_APACHE_DEPEND="apache2? ( ${APACHE2_DEPEND} ) !apache2? ( apache? ( ${APACHE1_DEPEND} ) )"
112
113####
114# uses_apache1()
115#
116# sets up all of the environment variables required by an apache1 module
117####
118
119uses_apache1() {
120 APACHE_VERSION='1'
121 APXS="$APXS1"
122 USE_APACHE2=
123 APACHECTL="${APACHECTL1}"
124 APACHE_BASEDIR="${APACHE1_BASEDIR}"
125 APACHE_CONFDIR="${APACHE1_CONFDIR}"
126 APACHE_MODULES_CONFDIR="${APACHE1_MODULES_CONFDIR}"
127 APACHE_VHOSTSDIR="${APACHE1_VHOSTSDIR}"
128 APACHE_MODULESDIR="${APACHE1_MODULESDIR}"
129}
130
131####
132# uses_apache2()
133#
134# sets up all of the environment variables required by an apache2 module
135####
136
137uses_apache2() {
138 APACHE_VERSION='2'
139 USE_APACHE2=2
140 APXS="$APXS2"
141 APACHECTL="${APACHECTL2}"
142 APACHE_BASEDIR="${APACHE2_BASEDIR}"
143 APACHE_CONFDIR="${APACHE2_CONFDIR}"
144 APACHE_MODULES_CONFDIR="${APACHE2_MODULES_CONFDIR}"
145 APACHE_VHOSTSDIR="${APACHE2_VHOSTSDIR}"
146 APACHE_MODULESDIR="${APACHE2_MODULESDIR}"
147}
148
149doesnt_use_apache() {
150 APACHE_VERSION='0'
151 USE_APACHE=
152}
102 153
103#### 154####
104## need_apache1 155## need_apache1
105## 156##
106## An ebuild calls this to get the dependency information 157## An ebuild calls this to get the dependency information
141#### 192####
142need_apache() { 193need_apache() {
143 debug-print-function need_apache 194 debug-print-function need_apache
144 195
145 IUSE="${IUSE} apache2" 196 IUSE="${IUSE} apache2"
146 DEPEND="${DEPEND} ${APACHE_DEPEND}" 197 DEPEND="${DEPEND} ${NEED_APACHE_DEPEND}"
147 RDEPEND="${RDEPEND} ${APACHE_DEPEND}" 198 RDEPEND="${RDEPEND} ${NEED_APACHE_DEPEND}"
148 if useq apache2; then 199 if useq apache2; then
149 APACHE_VERSION='2' 200 uses_apache2
150 USE_APACHE2=2
151 APXS="$APXS2"
152 APACHECTL="${APACHECTL2}"
153 APACHE_BASEDIR="${APACHE2_BASEDIR}"
154 APACHE_CONFDIR="${APACHE2_CONFDIR}"
155 APACHE_MODULES_CONFDIR="${APACHE2_MODULES_CONFDIR}"
156 APACHE_VHOSTSDIR="${APACHE2_VHOSTSDIR}"
157 APACHE_MODULESDIR="${APACHE2_MODULESDIR}"
158 else 201 else
159 APACHE_VERSION='1' 202 uses_apache1
160 APXS="$APXS1"
161 USE_APACHE2=
162 APACHECTL="${APACHECTL1}"
163 APACHE_BASEDIR="${APACHE1_BASEDIR}"
164 APACHE_CONFDIR="${APACHE1_CONFDIR}"
165 APACHE_MODULES_CONFDIR="${APACHE1_MODULES_CONFDIR}"
166 APACHE_VHOSTSDIR="${APACHE1_VHOSTSDIR}"
167 APACHE_MODULESDIR="${APACHE1_MODULESDIR}"
168 fi 203 fi
169} 204}
205
206want_apache() {
207 debug-print-function want_apache
208
209 IUSE="${IUSE} apache apache2"
210 DEPEND="${DEPEND} ${WANT_APACHE_DEPEND}"
211 RDEPEND="${DEPEND} ${WANT_APACHE_DEPEND}"
212 if useq apache2 ; then
213 uses_apache2
214 elif useq apache ; then
215 uses_apache1
216 else
217 doesnt_use_apache
218 fi
219}

Legend:
Removed from v.1.19  
changed lines
  Added in v.1.26

  ViewVC Help
Powered by ViewVC 1.1.20